Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface NetwareVolume

public interface NetwareVolume
extends NetwareDirectory

Provides an interface for getting the volume object attribute values.

The associated volume object attribute values are

- Trustee Path Enumeration
- Volume Information
- Volume Restriction
- Volume Restriction Enumeration
- Volume Utilization

Method Summary
`TrusteePathEnumerator` | `getTrusteePathEnumerator()` Returns the TrusteePathEnumerator object associated with this volume.
`VolumeInformation` | `getVolumeInformation()` Returns the VolumeInformation object associated with this volume.
`VolumeRestrictionEnumerator` | `getVolumeRestrictionEnumerator()` Returns the VolumeRestrictionEnumerator object associated with this volume.
`VolumeUtilization` | `getVolumeUtilization()` Returns the VolumeUtilization object associated with this volume.
`void` | `setVolumeRestriction(VolumeRestriction vr, int mod_op)` Modifies the back end VolumeRestriction object associated with this volume.

Methods inherited from interface com.novell.service.file.nw.NetwareDirectory
`getDirectorySpaceInformation, setDirectorySpaceInformation`

Methods inherited from interface com.novell.service.file.nw.NetwareFile
`getDirectoryEntryInformation, getEAEnumerator, getEffectiveRights, getTrusteeEnumerator, setDirectoryEntryInformation, setExtendedAttribute, setTrustee`

Methods inherited from interface com.novell.java.io.NFile
`lastModified, length`

Method Detail

### getVolumeInformation

    public VolumeInformation getVolumeInformation()
                                           throws com.novell.service.jncp.NSIException

  Returns the VolumeInformation object associated with this volume.
  Returns:
    The VolumeInformation object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the VolumeInformation object.

### getVolumeUtilization

    public VolumeUtilization getVolumeUtilization()
                                           throws com.novell.service.jncp.NSIException

  Returns the VolumeUtilization object associated with this volume.
  Returns:
    The VolumeUtilization object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the VolumeUtilization object.

### getVolumeRestrictionEnumerator

    public VolumeRestrictionEnumerator getVolumeRestrictionEnumerator()
                                                               throws com.novell.service.jncp.NSIException

  Returns the VolumeRestrictionEnumerator object associated with this volume.
  Returns:
    The VolumeRestrictionEnumerator object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the VolumeRestrictionEnumerator object.

### setVolumeRestriction

    public void setVolumeRestriction(VolumeRestriction vr,
                                     int mod_op)
                              throws com.novell.service.jncp.NSIException

  Modifies the back end VolumeRestriction object associated with this volume.
  Parameters:
    `vr` - The VolumeRestriction modify value.
    `mod_op` - The modification to perform if the attribute is part of the set; valid values are DirContext.ADD_ATTRIBUTE, DirContext.REMOVE_ATTRIBUTE, and DirContext.REPLACE_ATTRIBUTE.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in setting the VolumeRestriction object.

### getTrusteePathEnumerator

    public TrusteePathEnumerator getTrusteePathEnumerator()
                                                   throws com.novell.service.jncp.NSIException

  Returns the TrusteePathEnumerator object associated with this volume.
  Returns:
    The TrusteePathEnumerator object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the TrusteePathEnumerator object.
    com.novell.service.jncp.NSIException - when there is an error in getting the TrusteePathEnumerator object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD